%define	upstream_name	 Catalyst-Engine-Apache
%define upstream_version 1.16

%global __requires_exclude perl\\(A

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 9

Summary:	Catalyst Apache Engines
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl(Catalyst)
BuildArch: noarch

Requires:  apache-mod_perl

%description
This package contains mod_perl handlers for Catalyst.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc README Changes
%{perl_vendorlib}/Catalyst
%{_mandir}/man3/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.160.0-9.mga8
+ Revision: 1493033
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.160.0-8.mga7
+ Revision: 1265947
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.160.0-7.mga6
+ Revision: 1023215
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 1.160.0-6.mga6
+ Revision: 933394
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.160.0-5.mga5
+ Revision: 744315
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.160.0-4.mga5
+ Revision: 683771
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.160.0-3.mga4
+ Revision: 509620
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.160.0-2.mga3
+ Revision: 363905
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 1.160.0-1.mga1
+ Revision: 40252
- mageia rebuild
- imported package perl-Catalyst-Engine-Apache

